%define upstream_name    Data-Validate-Type
%define upstream_version v1.6.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Public interface encapsulating Params::Util to offer data type validation functions that pass PerlCritic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Params::Util is a wonderful module, but suffers from a few drawbacks:
    - Function names start with an underscore, which is usually used to
      indicate private functions.
    - Function names are uppercase, which is usually used to indicate file
      handles or constants.
    - Function names don't pass PerlCritic's validation, making them
      problematic to import.

Functions use by default the convention that collection that collections
need to not be empty to be valid (see _ARRAY0/_ARRAY for example), which
is counter-intuitive.

Those drawbacks are purely cosmetic and don't affect the usefulness of
the functions, so this module encapsulates the functions to offer an API
that fixes these problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.6.0-3.mga8
+ Revision: 1503728
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1282639
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.6.0-1.mga7
+ Revision: 1128460
- update to v1.6.0

* Sat Jun 18 2016 pterjan <pterjan> 1.5.1-7.mga6
+ Revision: 1024983
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.5.1-6.mga6
+ Revision: 948558
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.5.1-5.mga5
+ Revision: 788001
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-4.mga5
+ Revision: 748436
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.5.1-3.mga5
+ Revision: 735471
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-2.mga5
+ Revision: 684255
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 sander85 <sander85> 1.5.1-1.mga5
+ Revision: 636181
- update to v1.5.1

* Sat May 17 2014 sander85 <sander85> 1.5.0-1.mga5
+ Revision: 623398
- update to v1.5.0

* Mon Oct 21 2013 umeabot <umeabot> 1.4.2-2.mga4
+ Revision: 537044
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.4.2-1.mga4
+ Revision: 486198
- update to 1.4.2

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 365537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 1.3.1-1.mga3
+ Revision: 304364
- adding a %%description
- imported package perl-Data-Validate-Type


* Wed Oct 10 2012 cpan2dist 1.3.1-1mga
- initial mageia release, generated with cpan2dist
